Bug 1921780 - Search page not fully internationalized
Summary: Search page not fully internationalized
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 15:34 UTC by ralpert
Modified: 2021-07-27 22:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Many Search page-specific components were not internationalized. This includes Chips, Resource accordion headings, the label/name filter, and the clear all filters text. Consequence: The page had some translated elements and some still in English. Fix: Internationalized components that were missed. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:37:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Search page internationalized (188.05 KB, image/png)
2021-02-18 03:45 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7967 0 None closed Bug 1921780: Clean up Search i18n 2021-02-18 03:41:52 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:37:37 UTC

Description ralpert 2021-01-28 15:34:30 UTC
Description of problem:
Many Search page-specific components were not internationalized. This includes Chips, Resource accordion headings, the label/name filter, and the clear all filters text.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always.

Steps to Reproduce:
1. Go to Search page and use the ?lng=en&pseudolocalization=true query parameter.

Actual results:
These components are not internationalized.

Expected results:
These components are internationalized.

Additional info:
Chips should match the resource dropdown (handled in separate PR), headings, and navigation if possible.

Comment 1 ralpert 2021-02-05 18:54:31 UTC
PR probably won't merge before code freeze.

Comment 3 Yadan Pei 2021-02-18 03:45:04 UTC
Go to Search page and use the ?lng=en&pseudolocalization=true query parameter, check all texts such as tables, buttons, filters and placeholder text, all have been translated.

Verified on  4.8.0-0.nightly-2021-02-18-001523

Comment 4 Yadan Pei 2021-02-18 03:45:33 UTC
Created attachment 1757686 [details]
Search page internationalized

Comment 7 errata-xmlrpc 2021-07-27 22:37:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.